PETSc version 3.15.5
Fix/Edit manual page

# VecCreateSeqCUDAWithArray

Creates a CUDA sequential array-style vector, where the user provides the array space to store the vector values. The array provided must be a GPU array.

### Synopsis

    #include <petscvec.h>
    PetscErrorCode  VecCreateSeqCUDAWithArray(MPI_Comm comm,PetscInt bs,PetscInt n,const PetscScalar array[],Vec *V)

Collective

### Input Parameter

| comm | - the communicator, should be PETSC_COMM_SELF
| bs | - the block size
| n | - the vector length
| array | - GPU memory where the vector elements are to be stored.

### Output Parameter

| V | - the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

If the user-provided array is NULL, then VecCUDAPlaceArray() can be used at a later stage to SET the array for storing the vector values.

PETSc does NOT free the array when the vector is destroyed via VecDestroy(). The user should not free the array until the vector is destroyed.

### See Also

VecCreateMPICUDAWithArray(), VecCreate(), VecDuplicate(), VecDuplicateVecs(),
VecCreateGhost(), VecCreateSeq(), VecCUDAPlaceArray(), VecCreateSeqWithArray(), VecCreateMPIWithArray()

### Level

intermediate

### Location

src/vec/vec/impls/seq/seqcuda/veccuda.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages